Solid Edge Framework Type Library
Insert Method
For copy mode and move mode the inputs can be an object but for Create mode the first input must be a string.
This is the position to insert at. This could be positive or negative integer index. "-1" indicates insert at the end.
Description
Returns the inserted item. The type of insert is defined by the mode parameter. For copy mode and move mode the inputs can be an object, a positive or negative integer index, or the string name of an item. For Create mode the first input must be a string.
Syntax
Visual Basic
Public Function Insert( _
   ByVal Item As Variant, _
   ByVal AtItem As Variant, _
   ByVal mode As RibbonBarInsertMode _
) As RibbonBarTab
Parameters
Item
For copy mode and move mode the inputs can be an object but for Create mode the first input must be a string.
AtItem
This is the position to insert at. This could be positive or negative integer index. "-1" indicates insert at the end.
mode
ValueDescription
seRibbonBarInsertCopyInsert will make a copy of the item.
seRibbonBarInsertCreateInsert will create the item as a button.
seRibbonBarInsertCreateButtonInsert will create the item as a button.
seRibbonBarInsertCreatePopupInsert will create the item as a popup.
seRibbonBarInsertCreateSplitButtonPopupInsert will create the item as a split button popup.
seRibbonBarInsertMoveInsert will move the item.
Example
Imports System.Runtime.InteropServices
Public Class Form1

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Dim objApp As SolidEdgeFramework.Application = Nothing     
        Dim objRBTabs As SolidEdgeFramework.RibbonBarTabs = Nothing
        Dim objRBTab As SolidEdgeFramework.RibbonBarTab = Nothing
        Dim objCust As SolidEdgeFramework.Customization = Nothing
        Dim objThemes As SolidEdgeFramework.RibbonBarThemes = Nothing
        Dim objTheme As SolidEdgeFramework.RibbonBarTheme = Nothing
        Dim objGroups As SolidEdgeFramework.RibbonBarGroups = Nothing
        Dim objGroup As SolidEdgeFramework.RibbonBarGroup = Nothing


        Try
            objApp = Marshal.GetActiveObject("SolidEdge.Application")
            objCust = objApp.Customization
            objCust.BeginCustomization()
            objThemes = objCust.RibbonBarThemes
            'User may change the name of the theme ("New Theme 1") in below stmt. 
            objRBTab = objThemes.Item("New Theme 1").RibbonBars.Item(0).RibbonBarTabs.Insert("CustomTab", -1, SolidEdgeFramework.RibbonBarInsertMode.seRibbonBarInsertCreate)
            objGroups = objRBTab.RibbonBarGroups
            objGroup = objGroups.Insert("CustomGroup1", -1, SolidEdgeFramework.RibbonBarInsertMode.seRibbonBarInsertCreate)
          
            
            objThemes.Commit()
            objCust.EndCustomization()
        Catch ex As Exception
            MsgBox(ex.ToString)
        End Try
    End Sub
End Class
See Also

RibbonBarTabs Collection  | RibbonBarTabs Members  | Solid Edge ST3 - What's New